> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Anular un DTE emitiendo su nota de crédito (ruta canónica)

> Ruta canónica de anulación/NC. Cuando el DTE tiene factura vinculada ejecuta también el envoltorio comercial (FSM de la factura a CREDIT_NOTE, invoice de la NC y eventos) y devuelve sus ids en creditNoteInvoiceId/originalInvoiceId. Alias deprecados: POST /v1/dte/documents/:id/credit-note, POST /v1/billing/invoices/:id/credit-note y POST /v1/dte/sii/nota-credito.



## OpenAPI

````yaml /generated/specs/finance.json post /api/v1/dte/documents/{id}/annul
openapi: 3.0.0
info:
  title: Raul API - Finanzas
  description: >-
    Facturas, boletas, ejecuciones de billing, cuentas por pagar y medios de
    pago.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/dte/documents/{id}/annul:
    post:
      tags:
        - DTE
      summary: Anular un DTE emitiendo su nota de crédito (ruta canónica)
      description: >-
        Ruta canónica de anulación/NC. Cuando el DTE tiene factura vinculada
        ejecuta también el envoltorio comercial (FSM de la factura a
        CREDIT_NOTE, invoice de la NC y eventos) y devuelve sus ids en
        creditNoteInvoiceId/originalInvoiceId. Alias deprecados: POST
        /v1/dte/documents/:id/credit-note, POST
        /v1/billing/invoices/:id/credit-note y POST /v1/dte/sii/nota-credito.
      operationId: DteDocumentsController_annulDte
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IssueCreditNoteDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    IssueCreditNoteDto:
      type: object
      properties: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.